Bug 118260 - 'dmesg' fails when in su environment
'dmesg' fails when in su environment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-14 12:55 EST by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 00:41:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-03-14 12:55:33 EST
Description of problem:
Although 'dmesg' works fine as a normal non-root user, it doesn't work
in an su environment.

Version-Release number of selected component (if applicable):
1.8-14

How reproducible:
100%

Steps to Reproduce:
1. Log in via gdm as non-root non-staff user
2. Start terminal.
3. su -
4. dmesg
  
Actual results:
No output.

Expected results:
Kernel message log.

Additional info:
avc:  denied  { use } for  pid=3884 exe=/bin/dmesg path=/dev/pts/8
dev= ino=10 scontext=root:system_r:dmesg_t
tcontext=user_u:user_r:user_t tclass=fd

audit2allow says:

allow dmesg_t user_t:fd { use };
Comment 1 Daniel Walsh 2004-03-14 20:18:12 EST
Fixed in policy-1.8-15.

Dan

Note You need to log in before you can comment on or make changes to this bug.